Cофтпанорама 1990, No. 1                Составитель: Н.Н. БЕЗРУКОВ
             ***************************************
             *  П А Н О Р А М А   Н О В О С Т Е Й  *
             ***************************************


********************* Не только тюльпаны ************************
****************** Вирусы Датакрайм 1, 2, 3 *********************

    По сообщению представителя полиции Гааги, неизвестные злоумыш-
ленники  разработали  серию  компьютерных  вирусов, которая начала
распространяться в Голландии США и Японии начиная  с  12  октября.
Возможно в них предусмотрено разрушение данных. Эта серия, состоя-
щая,  как полагают, из трех программ и получившая название "Датак-
райм 1, 2, 3", уже поразила около 100 тысяч персональных компьюте-
ров в Голландии, что составляет 10 процентов от их общего количес-
тва. Начало агрессии положил "Датакрайм 1", запрограммированный на
уничтожение баз данных.
     "Датакрайм 2, 3", по оценкам полиции, были введены в действие
13 октября. Их основное предназначение воспрепятствовать поступле-
нию данных не только в Центр компьютеров, но и во все подключенные
к нему электронные системы.
     Разработанная неизвестными модель "компьютерного вируса" име-
ет свойство бомбы замедленного действия.
     Как считают  специалисты,  последствия  разрушительной   ком-
пьютерной эпидемии  угрожают практически всем действующим системам
как на фирмах и предприятиях, так и частных ЭВМ.
     В Гааге и Утрехте начата продажа программы,  способной проти-
водействовать "Датакрайм",  но, по оценке полиции, нет никаких га-
рантий, исключающих повторное заражение.
     В начале августа этого года в Голландии в  городе  Амстердаме
состоялся  международный съезд компьютерных пиратов.  В ходе этого
слета современный Робин Гуд информатики продемонстрировал  возмож-
ности подключения к практически любой системе ЭВМ.  В качестве до-
казательства своих  способностей  представители  одной  из  групп,
подключившись  к  ЭВМ местного банка,  получили 270 тысяч франков.
Вернув на следующий день эту сумму наличными, пираты продемонстри-
ровали уязвимость системы защиты банковских компьютеров.

                               По материалам заметки Б.Москвичева,
                                 соб.корр. "Известий" в Брюсселе
                                             Известия 15.10.89

                              * * *

******** Развивающаяся страна стране развитого социализма *******
******** 600 персональных компьютеров советским детям ***********

     В Москве находится сорокалетний Йогеш К. Ганди - правнук род-
ного  брата Махатмы Ганди. Учредив в 1983 году Международный мемо-
риальный фонд своего всемирно известного родственника и  став  его
президентом,  господин Ганди занят теперь осуществлением грандиоз-
ного 10-летнего проекта, цель которого сделать этот мир более  че-
ловечным.
     Планы  фонда  привели  президента в нашу страну, которой он в
ближайшее время намерен от имени своей  организации  подарить  600
персональных IBM совместимых компьютеров высокого класса.
     По мнению Йогеша Ганди,  в современном мире компьютер  -  это
то,  с помощью чего ребенок начинает в школе постигать жизнь.  Вся
система обучения построена на этой технике.  Поэтому,  имея специ-
альные компьютерные программы, можно в значительной степени влиять
на мировоззрение детей,  учить их, а следовательно - даже и их ро-
дителей - правильно реагировать на различные жизненные ситуации.
     У нас такие программы есть. В форме игры они предлагают детям
примеры из реальной жизни и показывают, как конфликты могут разре-
шаться  мирным  путем. Кроме того, с помощью модемов - специальных
преобразующих устройств - компьютеры могут быть соединены в обшир-
ные сети, охватывающие всю планету, и дети мира таким образом  по-
лучат возможность общаться между собой.
     Компьютеры будут будут установлены в советских школах и снаб-
жены необходимым программным обеспечением.

                                                 Известия, 9.09.89
                              * * *

******** Минсвязи обещает "ВИДЕОТЕКС" в Киеве в 1992 году ********
************* Неясно насколько реальны эти обещания **************

    В ближайшие годы сначала в Москве и Киеве, а затем и в
    других  городах  страны  будет  создана система "ВИДЕО-
    ТЕКС".  самая разнообразная информация станет доступна
    тем, у кого есть телефон и телевизор.

   Система "Видеотекс" уже приобрела большую популярность в мире.
Впервые она стала применяться во Франции.  Интенсивное  внедрение
новшества началось в развитых странах с 1982-1983 годов.  "Видео-
текс" на сегодня по количеству проданных аппаратов  уступает лишь
такому "патриарху" связи, как телефон.
   - Отставание  СССР в области внедрения этой информационной сис-
темы пока нельзя назвать катастрофическим,  - говорит  заместитель
начальника ЦНИИС Минсвязи СССР В. Шварцман (интересно, что товарищ
Шварцман понимает под  катастрофическим  отставанием;  по-видимому
полное отсутствие телефонной связи - Б.Н.Н.). - У нас в стране бо-
лее 3 миллионов телефонов и около 90  миллионов  телевизоров.  Так
что  "поле" для внедрения системы "Видеотекс" имеется.  Принцип ее
работы заключается в следующем.  Стандартное терминальное устройс-
тво небольших габаритов,  снабженное клавиатурой,  будет подсоеди-
няться к телефону и телевизору. С помощью этого устройства абонент
новой  информационной службы сможет связываться с городским банком
данных.  На экране телевизора поначалу высветится "меню"  -  набор
предлагаемых услуг:  новости дня,  погода, культурные мероприятия,
адреса и телефоны больниц,  магазинов и учреждений, обмен квартир,
транспорт,  брачные объявления,  реклама и так далее.  Затем будут
предоставлены подробные данные по выбранному виду информации.  Ес-
ли,допустим, абонент собрался в поездку, он в считанные минуты мо-
жет подобрать удобный  вид  транспорта,  подходящий  авиарейс  или
маршрут поезда, узнать телефоны вокзалов. Самостоятельно подобрать
себе обменный вариант,  если он предполагает сменить  квартиру.  И
даже  - "забронировать" какие-либо из найденных вариантов на сутки
или более,  оставляя за собой возможность "подумать". Банки данных
будут постоянно пополняться и обновляться. Предполагается "подклю-
чение" к общей системе и специализированных банков данных, которые
есть практически во всех министерствах.
   В будущем "Видеотекс" с помощью телефонной сети соединит между
собой банки данных в различных городах страны.  Это открывает не-
ограниченные  возможности в предоставлении различных информацион-
ных услуг.
   В Москве и Киеве системы будут внедряться практически одновре-
менно. В обоих городах сейчас специалисты институтов связи созда-
ют  банки данных.  В 1992 году к ним планируется подключить по 10
тысяч абонентов.  К 1995 году уже будет возможность подключить по
50 тысяч абонентов в каждом городе.  "Разветвляться" система "Ви-
деотекс" будет в зависимости от инициативы органов власти на мес-
тах.
                                              В. Зайкин, Известия
                                              30.12.89

                              * * *

**************  КОМПТЬЮТЕРЫ ДЛЯ "ДЕТЕЙ ЧЕРНОБЫЛЯ" **************

      Сотрудники киевского  областного центра НТТМ "Новатор" пода-
рили маленьким пациентам спецдиспансера, где обследуются и лечатся
дети из районов,  пострадавших от аварии на Чернобыльской АЭС нес-
колько игровых компьютеров, телевизоры и другие игрушки.

                                       Вечерний Киев 6 января 89 г.

                              * * *

*************************  Давно пора. **************************

     В первой  половине  этого  года при представительствах Торго-
во-промышленной палаты (ТПП) СССР в Сеуле и Государственной корпо-
рации содействия торговле (КОТРА) в Москве открываются консульские
отделы Советского Союза и Южной Кореи.
                                                Известия 8.01.90

                     Комментарий специалиста

     И, наконец, необходимо напомнить о наших национальных интере-
сах.  Длительное,  очень длительное время они в корейской политике
СССР не учитывались.  Собственно,  своей политики у нас и не было,
мы  только  автоматически поддерживали курс нашей союзницы - КНДР,
даже по вопросам,выходящим за пределы чисто  внутрикорейских.  Мы,
например,  долго  и упорно отказывались от выгодных для Советского
Союза экономических контрактов с Югом.  В то  же  время  некоторые
другие страны социализма,  исходя из своих национальных интересов,
действовали самостоятельно и давно такие контакты (пусть и не пря-
мые) поддерживали. Сейчас, начав экономические связи с Южной Коре-
ей, мы почему-то не идем дальше,  не устанавливаем с нею отношений
по всем остальным направлениям,  которые расширили бы  и  укрепили
возможности экономического сотрудничества, содействовали бы ослаб-
лению напряженности на наших дальневосточных  границах.  Признание
Юга  повысило  бы  и наш международный авторитет,  ибо оно лежит в
русле нового политического мышления.

                                                   Ф. Шабшина.

   От редакции:

   Автор статьи Ф.В.  Шабшина - известный советский  ученый-корее-
   вед.  Ведущий советский специалист по новейшей истории и совре-
   менным проблемам Кореи,  автор многих научных  трудов,  руково-
   дитель ряда крупных работ.  Доктор исторических наук, заслужен-
   ный деятель науки РСФСР.

                                                 Известия, 2.09.89

                              * * *

****** Третий и четвертый номера журнала МИР ПК за 1989 год ******
*****  в роли запоздавших подарков к Новому году *****************

     Третий выпуск  удачнее второго и несмотря на годичное опозда-
ние содежит немало интересной информации.  Огорчает тот факт,  что
качество оформления  журнала  ухудшилось,  а цена увеличилась до 4
руб. Тираж - 50 тыс экз.  явно недостаточен и до многих специалис-
тов журнал не дойдет.  В некоторых статьях просматривается тенден-
ция выбрасывать на отечественный рынок устаревшую информацию,  ру-
ководствуюясь принципом "все равно купят". Практически не публику-
ются исходные тексты программ и оригинальные приемы работы с паке-
тами и компиляторами - информация гораздо более ценная, чем обзор-
ные и общеобразовательные статьи. Журнал явно слабее своего англо-
язычного родственника.
     Четвертый выпуск при цене 4 руб. содержит всего 102 страницы.
Без рекламы это будет меньше 90 страниц, т.е. цена страницы больше
4 коп. Причем больше 10 страниц посвящено компьютерам фирмы Apple,
которые в нашей стране практически не используются.  Автор помнит,
что лет 8 назад страница ксерокопии в ГПНТБ стоила те же 4 коп.
                                                             Б.Н.Н
                       В выпуске:

   История создания  локальных  вычислительных   сетей:
PC   Network, Token-Ring,  EasyLAN,  IDEAshare,  LANLink.
Выбор сетевой ОС. Средства коммуникации.Защита данных.

   Мнение академика Сагдеева  о прошлом и будущем
персональных компьютеров.                                          39

   Правовые проблемы информатики. Цены на  рынке
программного обеспечения.                                          42

   Простое и доходчивое руководство по MS-DOS для начинающих
пользователей.                                                     79

   Компьютерные вирусы. Структура. Принцип действия.
Средства защиты.                                                   127

   Советские периодические издания по компьютерному делу.          133


                           Содержание номера 3

   От редакции                                                       5

 6   Тематический раздел: Сети персональных компьютеров
        Первый сеанс  связи. Д. Гудмен                               7
        Передача файлов. Д. Рауэлл                                  11
        Сеть PC-Network. С. Кук                                     17
        Сеть Token-Ring. К. Гринберг, К. Коессел                    21
        Локальные вычислительные сети на основе последовательного
        интерфейса. Б. Крайдер                                      24
        Сети: вопросы и ответы. Д. Феррис                           32

 35  Диалог "человек-человек"
        Академик Сагдеев: "Превратить компьютер в друга!"           35

 38  Круглый стол
        Рынок программного обеспечения в СССР,
        лицензионные и авторские договоры, цены. А.Н. Козырев       38

 46  Колонка МКК

 48  "Мир ПК" сообщает
        Учредительный сьезд Всесоюзного общества
        информатики и вычислительной техники.                       48
        Международная выставка "Вычислительная техника и
        информатика"                                                48
        Школа-семинар "САПР-89"                                     49
        Создание Ассоциации разработчиков и пользователей САПР      49
        "Интерквадро"- год работы                                   49
        Ганноверские новинки                                        52

 54  Проблемы и перспективы

        Персональный компьютер "Корвет". С.А.Ахманов, Н.Н. Рой,
        А.В.Скурихин                                                54
        Спецификация дополнительной памяти. Р. Олфорд               60
        EMS4.0 - новые возможности наращивания памяти. Р.Олфорд     63

 70  Толковый словарь: ПАМЯТЬ. Д.Лангделл

 74  Вокруг DOS
        Первое знакомство с DOS 3.2. Дж. Харрел III                 74
        Руководство по MS-DOS. Д.Лангделл.                          79
        Откровенно об операционной системе OS/2. Д. Рауэлл          93

 101 "Мир ПК" советует
        Персональный компьютер и интерфейс RS-232. Р. Олфорд        101
        Как выбрать принтер. Р.Олфорд                               104
        Некоторые  неисправности принтеров. Р. Олфорд               110
        Пакетный файл для поиска несоответствий. Ч.Боннер           114
        Обеспечение совместимости дискет данных. Д.Рауэлл           115

 117 Обмен опытом
        Обьектно-ориентированное программирование и его применение
        в САПР печатных плат. А.И.Масалович                         117
        Новый лик Бейсика. Ф.Ла Роса                                121

 127 Уголок профессионала
        К вопросу о компьютерных вирусах. И.Ш. Карасик              127
        "Бой в памяти" - игра созидательная. Е.П.Лилитько           131

                       Мир ПК  #4  1990 г.

    В номере:

                      Аппаратные средства

Новейшие микрокомпьютеры фирм Intel и Motorola.              5
Марк Слейтер
Новое поколение микропроцессоров приближает персональные
микрокрмпьютеры к мини-ЭВМ и большим компьютерам.

Что в будущем ... Next?!                                     11
Брюс Ф. Уэбстер
ПК Next значительно превосходитлучшие современные модели.
Некоторые его особенности уникальны, а система в целом являет-
ся тем скачком, которого мы ждали

Персональные компьютеры социалистических стран.               20
А.А.Басманов
Новые изделия                                                 24

                    Программное обеспечение

20 макрокоманд для Word.                                      26
Джордж Кэмпбелл
Текстовые и клавишные макрокоманды для Word значительно облег-
чают работу с этим редактором

Верь глазам своим.                                            30
Ник Арнет, Кевин Саско
Число программ для оптического распознавания текстовых симво-
лов неуклонно растет.

Секреты создателя Framework.                                  41
Роберт Карр
Практические приемы, предлагаемые авторм, позволяют "выжать"
максимум возможного из системы Framework III

Макрокоманды для пакета Lotus 1-2-3.                          44
Э. Майкл Ландсфорд
Шесть эффективных макрокоманд обогатят любую макробиблиотеку

Турбо Си 2.0                                                  48
Деннис Дейкстра

Новые возможности системы Windows/286 2.1                     49
Рейф Суси

В блокнот программиста                                        51

                    Периферийные устройства

Рисуем радугу.                                                54
Рон Рисли
Все новые и новые модели цветных принтеров появляются на свет

                     Издательские системы

Принтеры ориентированные на язык Postscript.                  64
Серж Тимачефф, Грегори Смит
Сравнительный анализ пяти учрежденческих лазерных принтеров

Ventura развивается.                                          86
Стив Рот

                    Пользователю Macintish

Компактный вариант персонального компьютера Macintosh.        90
Лон Пул
Разработчикам из фирмы Apple удалось разместить все вычисли-
тельные ресурсы компьютера Mac IIcx в более миниатюрном корпусе

Комплекс компьютеров Apple и DEC в Ливерморской лаборатории.  99
Барбара Зер

Новая система Macintosh SE на основе микропроцессора 68030.  100

Mac SE/30 заполняет пробел                                   101
                              * * *

************  Каспаров об игре против "Дип Сот". *****************

     - Гарри, в минувшем году вы сыграли матч, который, может, но-
сит пророческий характер.  Вы защищали честь человечества в борьбе
с  искусственным  интеллектом,  который представляла самая сильная
компьютерная программа с таинственным названием "Дип Сот"(Глубокая
мысль"). Не было эдакого мистического холодка?
     - Был!  Это все равно, что играть протв призрака: перед тобой
нет соперника,  вместе с тем ни один твой ход не ускользает от его
внимания,  он считает 800 тысяч ходов в секунду,  а ты  не  имеешь
права   на   ошибку.   По   окончании  матча  представители  фирмы
"Ай-Би-Эм" обьявили,  что пятерке молодых американских ученых пре-
доставляется нелимитированное финансирование,  чтобы в течении 3-5
лет увеличить мощность компьютера до 1 миллиарда ходов  в секунду.
Вот когда нас ждут нелегкие испытания!  Боюсь, что после 1995 года
бороться с противником,  считающим 1 миллиард ходов в секунду и не
делающим ошибок, будет нелегко.
     - А пока на пороге 1990 год,  и матч с человеком, причем, как
мне кажется,  с хорошо знакомым человеком, игра которого более за-
гадочна и непредсказуема, чем игра "Дип Сот"...
     - Карпов?  Да, вероятнее всего, опять он. Хотя у Тиммана тоже
есть некоторые шансы. Но я буду болеть за Карпова, и думаю, он по-
бедит. Мне очень хочется встретиться с ним еще раз.

                                                 Ю. Васильев.
                                                 "Шахматный король
                                                 провозглашает мир"
                                                 Известия 2.01.90

                              * * *

********************** ТОЛЬКО ДЛЯ БЕЛЫХ **************************
*** Рефераты "Byte", "PC Magazine", "PC World" на русском языке ***
***** Только для  членов  Международного  компьютерного клуба *****

     С Мая  месяца учредители и члены МКК начали получать рефераты
на  русском  языке  наиболее  авторитетных  компьютерных  журналов
"Byte",  "PC Magazine",  "PC World";  причем они рассылаются через
месяц (!!!-ред.) после выхода журналов в свет.
     Мы готовимся  к  выпуску своими силами журнала,  который пока
назвали "БИТ" (Бюллетень Информационных Технологий).

                                      Л. Амдилят, первый зам. ген.
                                      д-ра Международного компью-
                                      терного клуба,НТР, #22, 1989

                              * * *

************* Двадцать счасливчиков едут в Оксфорд! *************
********* Состав конкурсной комиссии остается за кадром *********

     Учиться в Оксфордском университете, одном из старейших и зна-
менитейших учебных заведений мира...  Согласитесъ: еще недавно со-
ветские аспиранты могли лишь мечтать об этом.
     Но благодаря    советско-американскому    фонду   "Культурная
инициатива" мечты стали явью.  Осенью двадцать аспирантов из Моск-
вы, Ленинграда,  Минска, Киева, Новосибирска, Кишинева, Харькова и
Тарту уже отправились в Оксфорд. На очереди еще двадцать счастлив-
чиков. Причем в их числе может оказаться любой человек,поступивший
в очную аспирантуру не позже,  чем через три года после  окончания
вуза, свободно владеющий английским языком и ведущий научные иссле-
дования...
     Каждый, кто  считает себя отвечающим этим требованиям,  может
обратиться в фонд "Культурная инициатива" по адресу:  107078 Моск-
ва, Большой Козловский переулок, 13/17 или позвонить по телефонам:
428-64-22; 921-20-65. Срок подачи документов до 31 декабря (похоже
89 года - ред.).
     Успехов вам претенденты!  (т.е.  лица, сумевшие узнать о кон-
курсе по неофиц. каналам. - ред.)

                                Литгазета. 20.12.89, No. 51 (5273)

                              * * *

********* Постоянная выставка компьютерного оборудования *********

     12 декабря 1989 г. зарубежное предприятие "ПЕРСОНАЛ КОМПЬЮТЕР
СТУДИО Лтд. Ко" откроет в Москве постоянную выставку-продажу копи-
ровальной техники, телефаксов, антенн и приемных устройств спут-
никового телевидения, персональных компьютеров.
     Продажа за валюту стран СЭВ, возможен товарообмен.
     Выставка будет работать только для специалистов  с  10.00  до
17.00, по адресу| Москва, ул. 2-я Тверская-Ямская, д.6.
     Телефоны для справок| 251-53-04, 251-75-21.

                                                    АИФ # 48 1989 г.
                              * * *

*****************   КОМПЬЮТЕР МИЛОСЕРДИЯ *************************

     Как пишет журнал "Тайм", в городе Осейдж, штат Айова, органи-
зована  специальная  компьютерная  сеть,  рассчитанная на одиноких
старых людей. Полицейская служба города оплачивает особый телефон-
ный компьютер, автоматическии проверяющий состояние здоровья таких
пожилых людей. Каждое утро в одно и то же время компьютер звонит и
спрашивает:  "Как ваше здоровье,  все ли в порядке?". Если следует
ответ "да",  то компьютер переключается на следующий  номер.  Если
ответа нет машина сообщает местной полиции.

                                                  ЛГ. 21 июня 89 г.

                              * * *

****** Грузите апельсины бочками или ПК-ЭКСПРЕСС  в тупике *******

     В декабре 89 года поступил в продажу No. 1 приложения к сбор-
нику "В мире персональных компьютеров" - ПК-ЭКСПРЕСС. Помимо опоз-
дания  сравнимого  в опозданием выпуска журнала "Микропроцессорные
приборы и системы" первый номер отличается достаточно  убогим  со-
держанием, сочетающимся  с  достаточно  высокой ценой (50 коп за 8
стр. набранных "детским" шрифтом). Очевидно в насмешку над советс-
кими читателями выпуск  открывается  заметкой  "Только  для  Ваших
Глаз"  повествующую об экране,  размеров в почтовую марку,  в виде
очков.  На всякий случай приведен адрес фирмы по которому  следует
обращаться желающим прибрести экзотическую новинку.  Потом нам со-
общают, что фирма BRIER предлагает гибкий диск,  емкостью более 20
М, хотя в СССР проблемой явялются обычные 360К дискеты, продающие-
ся по астрономической (15 руб за 50 центовую дискету и более) цене.
Правда в этом случае адрес фирмы благоразумно не приведен.  Из ос-
тальных заметок только три (Фирма Borland бросает в  бой  "убийцу"
отладчика CODEVIEW,  Turbo Prolog 2.0 и "по пятибальной шкале" со-
держат хоть немного полезной информации. Красная цена бюллетеня 10
коп. Такой дебют не делает чести фирме IDG, которая могла бы обес-
печить существенно более высокий уровень подобранных  для  перепе-
чатки  материалов и оперативность публикации.  Впрочем,  зачем IDR
проявлять заботу о своей репутации в  стране,  где  людей  имеющих
личные компьютеры считанные единицы.
                                                             Б.Н.Н.
                              * * *

*******  Новое коммерческое издание - "МОСКОВСКИЙ БИЗНЕС" ********
******* Выходит 6 раз в год, подписная цена 43 руб.50 коп ********

     Это иллюстрированное коммерческое  издание  советско-финлярд-
ского  акционерского  общества  "Совтрейд Паблишинг" выходит шесть
раз в год на русском,  английском и финском языках и распространя-
ется среди деловых кругов США,  стран Западной Европы,  Ближнего и
Среднего Востока, азиатско-тихоокеанского региона, во всех союзных
республиках нашей страны, в сотнях советских городов.
     Редакция готова предоставить свои полосы  для  рекламы  госу-
дарственных и кооперативных предприятий, их продукции, разработках
оригинальных технологий,  ноу хау,  перспективных проектах.  Стои-
мость одной полосы четырех цветной иллюстрированной рекламы в жур-
нале - 15000 рублей.
     Кроме этого,  вы  можете дать любое коммерческое обьявление в
приложении "Контакт-контракт".  Стоимость одного такого обьявления
размером 0,5 машинописной страницы - 500 рублей,  расширенное обь-
явление в виде пресс-релиза размером до 1,5 страницы стоит от 1500
рублей и выше. Как и журнал, приложение выходит с периодичностью 1
раз в два месяца.
     Подписная плата перечисляется на расчетный счет N  55114671 в
ОПЕРУ при Правлении Жилсоцбанка СССР,  участник 2С, МФО 299093 МБ.
Необходимо прислать в редакцию копию платежного поручения с указа-
нием своего точного почтового адреса.
     Цена годовой подписки на "Московский бизнес" (вместе с прило-
жением "Контакт-контракт") -  43  руб.  50  коп.  Адрес  редакции:
119021,  Москва,  Зубовский бульвар,  д.4, АПН

                              * * *

**** Наконец-то советскому читателю разрешили читать книги ******
*** на тему как стать умным и богатым за 10 простых уроков  *****
*************** Бестселлер Карнеги тиражем 200 000 ***************

   Карнеги Д.  Как вырабатывать уверенность в себе и влиять на лю-
дей, выступая публично; Как перестать беспокоиться и начать жить /
Пер.  с англ.;  сост.  М.И.  Хасхачих. - М.: Прогресс; Пракситель,
1989. - 444 с. - 3 р. 10 к. 200000 экз.

